Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
3e00::/7
First address
3e00::
Last address
3fff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
3e00:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
e.3.ip6.arpa
f.3.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/20

3e00::/7 makes 8,192 subnets of /20; the first 256 are listed.

Subnets
#SubnetLast address
13e00::/203e00:fff:ffff:ffff:ffff:ffff:ffff:ffff
23e00:1000::/203e00:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33e00:2000::/203e00:2fff:ffff:ffff:ffff:ffff:ffff:ffff
43e00:3000::/203e00:3fff:ffff:ffff:ffff:ffff:ffff:ffff
53e00:4000::/203e00:4fff:ffff:ffff:ffff:ffff:ffff:ffff
63e00:5000::/203e00:5fff:ffff:ffff:ffff:ffff:ffff:ffff
73e00:6000::/203e00:6fff:ffff:ffff:ffff:ffff:ffff:ffff
83e00:7000::/203e00:7fff:ffff:ffff:ffff:ffff:ffff:ffff
93e00:8000::/203e00:8fff:ffff:ffff:ffff:ffff:ffff:ffff
103e00:9000::/203e00:9fff:ffff:ffff:ffff:ffff:ffff:ffff
113e00:a000::/203e00:afff:ffff:ffff:ffff:ffff:ffff:ffff
123e00:b000::/203e00:bfff:ffff:ffff:ffff:ffff:ffff:ffff
133e00:c000::/203e00:cfff:ffff:ffff:ffff:ffff:ffff:ffff
143e00:d000::/203e00:dfff:ffff:ffff:ffff:ffff:ffff:ffff
153e00:e000::/203e00:efff:ffff:ffff:ffff:ffff:ffff:ffff
163e00:f000::/203e00:ffff:ffff:ffff:ffff:ffff:ffff:ffff
173e01::/203e01:fff:ffff:ffff:ffff:ffff:ffff:ffff
183e01:1000::/203e01:1fff:ffff:ffff:ffff:ffff:ffff:ffff
193e01:2000::/203e01:2fff:ffff:ffff:ffff:ffff:ffff:ffff
203e01:3000::/203e01:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213e01:4000::/203e01:4fff:ffff:ffff:ffff:ffff:ffff:ffff
223e01:5000::/203e01:5fff:ffff:ffff:ffff:ffff:ffff:ffff
233e01:6000::/203e01:6fff:ffff:ffff:ffff:ffff:ffff:ffff
243e01:7000::/203e01:7fff:ffff:ffff:ffff:ffff:ffff:ffff
253e01:8000::/203e01:8fff:ffff:ffff:ffff:ffff:ffff:ffff
263e01:9000::/203e01:9fff:ffff:ffff:ffff:ffff:ffff:ffff
273e01:a000::/203e01:afff:ffff:ffff:ffff:ffff:ffff:ffff
283e01:b000::/203e01:bfff:ffff:ffff:ffff:ffff:ffff:ffff
293e01:c000::/203e01:cfff:ffff:ffff:ffff:ffff:ffff:ffff
303e01:d000::/203e01:dfff:ffff:ffff:ffff:ffff:ffff:ffff
313e01:e000::/203e01:efff:ffff:ffff:ffff:ffff:ffff:ffff
323e01:f000::/203e01:ffff:ffff:ffff:ffff:ffff:ffff:ffff
333e02::/203e02:fff:ffff:ffff:ffff:ffff:ffff:ffff
343e02:1000::/203e02:1fff:ffff:ffff:ffff:ffff:ffff:ffff
353e02:2000::/203e02:2fff:ffff:ffff:ffff:ffff:ffff:ffff
363e02:3000::/203e02:3fff:ffff:ffff:ffff:ffff:ffff:ffff
373e02:4000::/203e02:4fff:ffff:ffff:ffff:ffff:ffff:ffff
383e02:5000::/203e02:5fff:ffff:ffff:ffff:ffff:ffff:ffff
393e02:6000::/203e02:6fff:ffff:ffff:ffff:ffff:ffff:ffff
403e02:7000::/203e02:7fff:ffff:ffff:ffff:ffff:ffff:ffff
413e02:8000::/203e02:8fff:ffff:ffff:ffff:ffff:ffff:ffff
423e02:9000::/203e02:9fff:ffff:ffff:ffff:ffff:ffff:ffff
433e02:a000::/203e02:afff:ffff:ffff:ffff:ffff:ffff:ffff
443e02:b000::/203e02:bfff:ffff:ffff:ffff:ffff:ffff:ffff
453e02:c000::/203e02:cfff:ffff:ffff:ffff:ffff:ffff:ffff
463e02:d000::/203e02:dfff:ffff:ffff:ffff:ffff:ffff:ffff
473e02:e000::/203e02:efff:ffff:ffff:ffff:ffff:ffff:ffff
483e02:f000::/203e02:ffff:ffff:ffff:ffff:ffff:ffff:ffff
493e03::/203e03:fff:ffff:ffff:ffff:ffff:ffff:ffff
503e03:1000::/203e03:1fff:ffff:ffff:ffff:ffff:ffff:ffff
513e03:2000::/203e03:2fff:ffff:ffff:ffff:ffff:ffff:ffff
523e03:3000::/203e03:3fff:ffff:ffff:ffff:ffff:ffff:ffff
533e03:4000::/203e03:4fff:ffff:ffff:ffff:ffff:ffff:ffff
543e03:5000::/203e03:5fff:ffff:ffff:ffff:ffff:ffff:ffff
553e03:6000::/203e03:6fff:ffff:ffff:ffff:ffff:ffff:ffff
563e03:7000::/203e03:7fff:ffff:ffff:ffff:ffff:ffff:ffff
573e03:8000::/203e03:8fff:ffff:ffff:ffff:ffff:ffff:ffff
583e03:9000::/203e03:9fff:ffff:ffff:ffff:ffff:ffff:ffff
593e03:a000::/203e03:afff:ffff:ffff:ffff:ffff:ffff:ffff
603e03:b000::/203e03:bfff:ffff:ffff:ffff:ffff:ffff:ffff
613e03:c000::/203e03:cfff:ffff:ffff:ffff:ffff:ffff:ffff
623e03:d000::/203e03:dfff:ffff:ffff:ffff:ffff:ffff:ffff
633e03:e000::/203e03:efff:ffff:ffff:ffff:ffff:ffff:ffff
643e03:f000::/203e03:ffff:ffff:ffff:ffff:ffff:ffff:ffff
653e04::/203e04:fff:ffff:ffff:ffff:ffff:ffff:ffff
663e04:1000::/203e04:1fff:ffff:ffff:ffff:ffff:ffff:ffff
673e04:2000::/203e04:2fff:ffff:ffff:ffff:ffff:ffff:ffff
683e04:3000::/203e04:3fff:ffff:ffff:ffff:ffff:ffff:ffff
693e04:4000::/203e04:4fff:ffff:ffff:ffff:ffff:ffff:ffff
703e04:5000::/203e04:5fff:ffff:ffff:ffff:ffff:ffff:ffff
713e04:6000::/203e04:6fff:ffff:ffff:ffff:ffff:ffff:ffff
723e04:7000::/203e04:7fff:ffff:ffff:ffff:ffff:ffff:ffff
733e04:8000::/203e04:8fff:ffff:ffff:ffff:ffff:ffff:ffff
743e04:9000::/203e04:9fff:ffff:ffff:ffff:ffff:ffff:ffff
753e04:a000::/203e04:afff:ffff:ffff:ffff:ffff:ffff:ffff
763e04:b000::/203e04:bfff:ffff:ffff:ffff:ffff:ffff:ffff
773e04:c000::/203e04:cfff:ffff:ffff:ffff:ffff:ffff:ffff
783e04:d000::/203e04:dfff:ffff:ffff:ffff:ffff:ffff:ffff
793e04:e000::/203e04:efff:ffff:ffff:ffff:ffff:ffff:ffff
803e04:f000::/203e04:ffff:ffff:ffff:ffff:ffff:ffff:ffff
813e05::/203e05:fff:ffff:ffff:ffff:ffff:ffff:ffff
823e05:1000::/203e05:1fff:ffff:ffff:ffff:ffff:ffff:ffff
833e05:2000::/203e05:2fff:ffff:ffff:ffff:ffff:ffff:ffff
843e05:3000::/203e05:3fff:ffff:ffff:ffff:ffff:ffff:ffff
853e05:4000::/203e05:4fff:ffff:ffff:ffff:ffff:ffff:ffff
863e05:5000::/203e05:5fff:ffff:ffff:ffff:ffff:ffff:ffff
873e05:6000::/203e05:6fff:ffff:ffff:ffff:ffff:ffff:ffff
883e05:7000::/203e05:7fff:ffff:ffff:ffff:ffff:ffff:ffff
893e05:8000::/203e05:8fff:ffff:ffff:ffff:ffff:ffff:ffff
903e05:9000::/203e05:9fff:ffff:ffff:ffff:ffff:ffff:ffff
913e05:a000::/203e05:afff:ffff:ffff:ffff:ffff:ffff:ffff
923e05:b000::/203e05:bfff:ffff:ffff:ffff:ffff:ffff:ffff
933e05:c000::/203e05:cfff:ffff:ffff:ffff:ffff:ffff:ffff
943e05:d000::/203e05:dfff:ffff:ffff:ffff:ffff:ffff:ffff
953e05:e000::/203e05:efff:ffff:ffff:ffff:ffff:ffff:ffff
963e05:f000::/203e05:ffff:ffff:ffff:ffff:ffff:ffff:ffff
973e06::/203e06:fff:ffff:ffff:ffff:ffff:ffff:ffff
983e06:1000::/203e06:1fff:ffff:ffff:ffff:ffff:ffff:ffff
993e06:2000::/203e06:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1003e06:3000::/203e06:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1013e06:4000::/203e06:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1023e06:5000::/203e06:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1033e06:6000::/203e06:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1043e06:7000::/203e06:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1053e06:8000::/203e06:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1063e06:9000::/203e06:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1073e06:a000::/203e06:afff:ffff:ffff:ffff:ffff:ffff:ffff
1083e06:b000::/203e06:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1093e06:c000::/203e06:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1103e06:d000::/203e06:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1113e06:e000::/203e06:efff:ffff:ffff:ffff:ffff:ffff:ffff
1123e06:f000::/203e06:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1133e07::/203e07:fff:ffff:ffff:ffff:ffff:ffff:ffff
1143e07:1000::/203e07:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1153e07:2000::/203e07:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1163e07:3000::/203e07:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1173e07:4000::/203e07:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1183e07:5000::/203e07:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1193e07:6000::/203e07:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1203e07:7000::/203e07:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1213e07:8000::/203e07:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1223e07:9000::/203e07:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1233e07:a000::/203e07:afff:ffff:ffff:ffff:ffff:ffff:ffff
1243e07:b000::/203e07:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1253e07:c000::/203e07:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1263e07:d000::/203e07:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1273e07:e000::/203e07:efff:ffff:ffff:ffff:ffff:ffff:ffff
1283e07:f000::/203e07:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1293e08::/203e08:fff:ffff:ffff:ffff:ffff:ffff:ffff
1303e08:1000::/203e08:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1313e08:2000::/203e08:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1323e08:3000::/203e08:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1333e08:4000::/203e08:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1343e08:5000::/203e08:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1353e08:6000::/203e08:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1363e08:7000::/203e08:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1373e08:8000::/203e08:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1383e08:9000::/203e08:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1393e08:a000::/203e08:afff:ffff:ffff:ffff:ffff:ffff:ffff
1403e08:b000::/203e08:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1413e08:c000::/203e08:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1423e08:d000::/203e08:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1433e08:e000::/203e08:efff:ffff:ffff:ffff:ffff:ffff:ffff
1443e08:f000::/203e08:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1453e09::/203e09:fff:ffff:ffff:ffff:ffff:ffff:ffff
1463e09:1000::/203e09:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1473e09:2000::/203e09:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1483e09:3000::/203e09:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1493e09:4000::/203e09:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1503e09:5000::/203e09:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1513e09:6000::/203e09:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1523e09:7000::/203e09:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1533e09:8000::/203e09:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1543e09:9000::/203e09:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1553e09:a000::/203e09:afff:ffff:ffff:ffff:ffff:ffff:ffff
1563e09:b000::/203e09:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1573e09:c000::/203e09:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1583e09:d000::/203e09:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1593e09:e000::/203e09:efff:ffff:ffff:ffff:ffff:ffff:ffff
1603e09:f000::/203e09:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1613e0a::/203e0a:fff:ffff:ffff:ffff:ffff:ffff:ffff
1623e0a:1000::/203e0a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1633e0a:2000::/203e0a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1643e0a:3000::/203e0a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1653e0a:4000::/203e0a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1663e0a:5000::/203e0a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1673e0a:6000::/203e0a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1683e0a:7000::/203e0a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1693e0a:8000::/203e0a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1703e0a:9000::/203e0a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1713e0a:a000::/203e0a:afff:ffff:ffff:ffff:ffff:ffff:ffff
1723e0a:b000::/203e0a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1733e0a:c000::/203e0a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1743e0a:d000::/203e0a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1753e0a:e000::/203e0a:efff:ffff:ffff:ffff:ffff:ffff:ffff
1763e0a:f000::/203e0a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1773e0b::/203e0b:fff:ffff:ffff:ffff:ffff:ffff:ffff
1783e0b:1000::/203e0b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1793e0b:2000::/203e0b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1803e0b:3000::/203e0b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1813e0b:4000::/203e0b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1823e0b:5000::/203e0b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1833e0b:6000::/203e0b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1843e0b:7000::/203e0b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1853e0b:8000::/203e0b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1863e0b:9000::/203e0b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1873e0b:a000::/203e0b:afff:ffff:ffff:ffff:ffff:ffff:ffff
1883e0b:b000::/203e0b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1893e0b:c000::/203e0b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1903e0b:d000::/203e0b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1913e0b:e000::/203e0b:efff:ffff:ffff:ffff:ffff:ffff:ffff
1923e0b:f000::/203e0b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1933e0c::/203e0c:fff:ffff:ffff:ffff:ffff:ffff:ffff
1943e0c:1000::/203e0c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1953e0c:2000::/203e0c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1963e0c:3000::/203e0c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1973e0c:4000::/203e0c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1983e0c:5000::/203e0c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1993e0c:6000::/203e0c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
2003e0c:7000::/203e0c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
2013e0c:8000::/203e0c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
2023e0c:9000::/203e0c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
2033e0c:a000::/203e0c:afff:ffff:ffff:ffff:ffff:ffff:ffff
2043e0c:b000::/203e0c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
2053e0c:c000::/203e0c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2063e0c:d000::/203e0c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2073e0c:e000::/203e0c:efff:ffff:ffff:ffff:ffff:ffff:ffff
2083e0c:f000::/203e0c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2093e0d::/203e0d:fff:ffff:ffff:ffff:ffff:ffff:ffff
2103e0d:1000::/203e0d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
2113e0d:2000::/203e0d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
2123e0d:3000::/203e0d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
2133e0d:4000::/203e0d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
2143e0d:5000::/203e0d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
2153e0d:6000::/203e0d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
2163e0d:7000::/203e0d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
2173e0d:8000::/203e0d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
2183e0d:9000::/203e0d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
2193e0d:a000::/203e0d:afff:ffff:ffff:ffff:ffff:ffff:ffff
2203e0d:b000::/203e0d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
2213e0d:c000::/203e0d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2223e0d:d000::/203e0d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2233e0d:e000::/203e0d:efff:ffff:ffff:ffff:ffff:ffff:ffff
2243e0d:f000::/203e0d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2253e0e::/203e0e:fff:ffff:ffff:ffff:ffff:ffff:ffff
2263e0e:1000::/203e0e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
2273e0e:2000::/203e0e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
2283e0e:3000::/203e0e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
2293e0e:4000::/203e0e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
2303e0e:5000::/203e0e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
2313e0e:6000::/203e0e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
2323e0e:7000::/203e0e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
2333e0e:8000::/203e0e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
2343e0e:9000::/203e0e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
2353e0e:a000::/203e0e:afff:ffff:ffff:ffff:ffff:ffff:ffff
2363e0e:b000::/203e0e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
2373e0e:c000::/203e0e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2383e0e:d000::/203e0e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2393e0e:e000::/203e0e:efff:ffff:ffff:ffff:ffff:ffff:ffff
2403e0e:f000::/203e0e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
2413e0f::/203e0f:fff:ffff:ffff:ffff:ffff:ffff:ffff
2423e0f:1000::/203e0f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
2433e0f:2000::/203e0f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
2443e0f:3000::/203e0f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
2453e0f:4000::/203e0f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
2463e0f:5000::/203e0f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
2473e0f:6000::/203e0f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
2483e0f:7000::/203e0f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
2493e0f:8000::/203e0f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
2503e0f:9000::/203e0f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
2513e0f:a000::/203e0f:afff:ffff:ffff:ffff:ffff:ffff:ffff
2523e0f:b000::/203e0f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
2533e0f:c000::/203e0f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2543e0f:d000::/203e0f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2553e0f:e000::/203e0f:efff:ffff:ffff:ffff:ffff:ffff:ffff
2563e0f:f000::/203e0f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses